import { renderless, api } from "@dftvue2-opentiny/vue-renderless/chart-core/vue";
import { defineComponent, $prefix, setup as _setup } from "@dftvue2-opentiny/vue-common";
import * as echarts$1 from "echarts";
import * as echarts from "echarts/core";
import { TooltipComponent, LegendComponent, TitleComponent } from "echarts/components";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

import "@dftvue2-opentiny/vue-theme/chart-core/index.css";
echarts.use([TooltipComponent, LegendComponent, TitleComponent]);
var __vue2_script = defineComponent({
  name: $prefix + "ChartCore",
  props: {
    afterConfig: {
      type: Function
    },
    afterSetOption: {
      type: Function
    },
    afterSetOptionOnce: {
      type: Function
    },
    animation: Object,
    axisPointer: [Object, Array],
    backgroundColor: [Object, String],
    beforeConfig: {
      type: Function
    },
    brush: [Object, Array],
    cancelResizeCheck: Boolean,
    changeDelay: {
      type: Number,
      default: 0
    },
    colors: {
      type: Array
    },
    data: {
      type: [Object, Array],
      default: function _default() {
        return {};
      }
    },
    dataEmpty: Boolean,
    dataZoom: {
      type: [Object, Array]
    },
    events: {
      type: Object
    },
    extend: Object,
    geo: [Object, Array],
    graphic: [Object, Array],
    grid: {
      type: [Object, Array]
    },
    height: {
      type: String,
      default: "400px"
    },
    initOptions: {
      type: Object,
      default: function _default2() {
        return {};
      }
    },
    judgeWidth: {
      type: Boolean,
      default: false
    },
    legend: [Object, Array],
    legendPosition: {
      type: String
    },
    legendVisible: {
      type: Boolean,
      default: true
    },
    loading: Boolean,
    markArea: {
      type: Object
    },
    markLine: {
      type: Object
    },
    markPoint: {
      type: Object
    },
    notSetUnchange: Array,
    radar: Object,
    resizeDelay: {
      type: Number,
      default: 200
    },
    resizeable: {
      type: Boolean,
      default: true
    },
    series: [Object, Array],
    setOptionOpts: {
      type: [Boolean, Object],
      default: true
    },
    settings: {
      type: Object,
      default: function _default3() {
        return {};
      }
    },
    textStyle: [Object, Array],
    theme: Object,
    themeName: [Object, String],
    timeline: [Object, Array],
    title: [Object, Array],
    toolbox: {
      type: [Object, Array]
    },
    tooltip: Object,
    tooltipFormatter: {
      type: Function
    },
    tooltipVisible: {
      type: Boolean,
      default: true
    },
    visualMap: {
      type: [Object, Array]
    },
    width: {
      type: String,
      default: "auto"
    },
    widthChangeDelay: {
      type: Number,
      default: 300
    },
    xAxis: [Object, Array],
    yAxis: [Object, Array]
  },
  setup: function setup(props, context) {
    return _setup({
      props,
      context,
      renderless,
      api,
      mono: true,
      extendOptions: {
        echartsLib: echarts$1
      }
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    class: [_vm.camelToKebab(_vm.$options.name || _vm.$options._componentTag)],
    style: _vm.state.canvasStyle
  }, [_c("div", {
    ref: "canvas",
    class: {
      "tiny-chart-mask-status": _vm.dataEmpty || _vm.loading
    },
    style: _vm.state.canvasStyle
  }), _c("div", {
    staticClass: "tiny-chart-data-empty",
    style: {
      display: _vm.dataEmpty ? "" : "none"
    }
  }, [_vm._v(" " + _vm._s(_vm.t("ui.chart.emptyText")) + " ")]), _c("div", {
    staticClass: "tiny-chart-component-loading",
    style: {
      display: _vm.loading ? "" : "none"
    }
  }, [_c("div", {
    staticClass: "loader"
  }, [_c("div", {
    staticClass: "loading-spinner"
  }, [_c("svg", {
    staticClass: "circular",
    attrs: {
      "viewBox": "25 25 50 50"
    }
  }, [_c("circle", {
    staticClass: "path",
    attrs: {
      "cx": "50",
      "cy": "50",
      "r": "20",
      "fill": "none"
    }
  })])])])]), _vm._t("default")], 2);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var Core = /* @__PURE__ */ function() {
  return __component__.exports;
}();
var version = "2.8.0";
Core.install = function(Vue) {
  Vue.component(Core.name, Core);
};
Core.version = version;
export {
  Core as default
};
